Bug 219798 - devel/ragel: Disable DOCS option by default
Summary: devel/ragel: Disable DOCS option by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-05 09:26 UTC by Vsevolod Stakhov
Modified: 2018-11-06 16:55 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Stakhov freebsd_committer 2017-06-05 09:26:57 UTC
Ragel requires latex to build docs. It is completely insane to require that by default just to use Ragel as a build dependency. Could you please disable this option by default to improve users' experiences.
Comment 1 Danilo Egea Gondolfo freebsd_committer 2017-06-07 02:39:21 UTC
Indeed.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-16 12:55:16 UTC
Makefile shows:

DOCS_USE=               TEX=latex:build

seems fixed. Could be closed.
Comment 3 Vsevolod Stakhov freebsd_committer 2018-10-22 12:22:18 UTC
I'm sorry to say but it is not fixed. Ragel still requires latex to be built from the sources.
Comment 4 commit-hook freebsd_committer 2018-11-06 16:54:48 UTC
A commit references this bug:

Author: vsevolod
Date: Tue Nov  6 16:53:40 UTC 2018
New revision: 484306
URL: https://svnweb.freebsd.org/changeset/ports/484306

Log:
  - Rename DOCS to TEXDOCS to avoid default LaTeX dependency
  - Fix build and package when building with no documents/examples
  - Use options specific targets

  PR:		219798
  Submitted by:	vsevolod
  Approved by:	maintainer timeout (>1 year)

Changes:
  head/devel/ragel/Makefile
  head/devel/ragel/pkg-plist